# Create a webhook.

Use this endpoint to create a webhook entity.

Endpoint: POST /webhooks
Version: 1.94.0
Security: oauth_auth_code

## Security:

  - `oauth_auth_code` (unknown)
    oauth2 scopes: write:webhooks

## Request body:

  - `application/json, application/ld+json, multipart/form-data` (unknown)
    The new Webhook resource

## Request fields (application/json):

  - `url` (string | null, required)

  - `subscriptions` (string | null, required)

## Response 201:

  - `201` (unknown)
    Webhook resource created

## Response 201 fields (application/json):

  - `uuid` (string | null)
    Webhook unique identifier.

  - `organization` (string | null)
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `user` (string | null)
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `url` (string, required)

  - `secret` (string | null)

  - `certificateVerificationDisabled` (boolean | null)

  - `enabled` (boolean)

  - `subscriptions` (array)
    Webhook subscriptions.

  - `createdAt` (string)
    Webhook creation date.

  - `updatedAt` (string)
    Webhook update date.

## Response 201 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

## Response 400:

  - `400` (unknown)
    Invalid input

## Response 400 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null)
    A short, human-readable summary of the problem.

  - `detail` (string | null)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null)

  - `instance` (string | null)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string)
    A URI reference that identifies the problem type

  - `description` (string | null)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null)
    A short, human-readable summary of the problem.

  - `detail` (string | null)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null)

  - `instance` (string | null)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string)
    A URI reference that identifies the problem type

  - `description` (string | null)

## Response 422:

  - `422` (unknown)
    An error occurred

## Response 422 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `status` (integer)

  - `violations` (array)

  - `violations.propertyPath` (string, required)
    The property path of the violation

  - `violations.message` (string, required)
    The message associated with the violation

  - `violations.code` (string)
    The code of the violation

  - `violations.hint` (string)
    An extra hint to understand the violation

  - `violations.payload` (object)
    The serialized payload of the violation

  - `detail` (string)

  - `description` (string)

  - `type` (string)

  - `title` (string | null)

  - `instance` (string | null)

